Summary: A library of handy utility functions.
Name: glib
Version: 2.6.4
Release: 3tr
License: LGPL
Group: Trustix Official
Source: ftp://ftp.gtk.org/pub/gtk/v2.6/glib-%{version}.tar.bz2
BuildRoot: /var/tmp/glib-root
URL: http://www.gtk.org
BuildRequires: pkgconfig

%description
GLib is a handy library of utility functions. This C library is
designed to solve some portability problems and provide other useful
functionality which most programs require.

GLib is used by GDK, GTK+ and many applications.  You should install
th glib package because many of your applications will depend on this
library.

%package devel
Summary: The GIMP ToolKit (GTK+) and GIMP Drawing Kit (GDK) support library.
Group: Trustix Official

%description devel
The glib-devel package includes the static libraries and header files
for the support library for the GIMP's X libraries (GTK+ and GDK),
which are available as public libraries.

Install glib-devel if you want to develop programs which will use
GLib.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --enable-static=yes
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} install
#mkdir -p $RPM_BUILD_ROOT/usr/share
#mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root,0755)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc  /usr/share/gtk-doc/html/glib/*
%doc  /usr/share/gtk-doc/html/gobject/*
%{_prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root,0755)
%{_prefix}/lib/lib*.so
%{_prefix}/lib/*a
%{_prefix}/lib/glib-2.0
%{_prefix}/lib/pkgconfig/*
%{_prefix}/include/*
%{_prefix}/share/glib-2.0
%{_prefix}/share/locale/*/*/*
%{_prefix}/share/man/man1/*
%{_prefix}/share/aclocal/*
%{_prefix}/bin/*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Apr 27 2005 Hasher J <hasher at comodo dot com> 2.6.4-1tr
- New Upstream

* Wed Mar 16 2005 Lakshmi Dinamoni <lakshmi at comodo dot com> 2.2.3-5tr
- Fix unpackaged files

* Tue Nov  9 2004 Erlend Midttun <erlendbm at trustix dot com> 2.2.3-4tr
- Now also own %{_prefix}/share/glib-2.0

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.6-4tr
- Big rebuild

* Tue Apr 22 2003 Christian H. Toldnes <christht at trustix dot com> 2.0.6-3ct
- Build static libraries, we dont want glib in base because of passwd... 
  :)

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.6-2em
- Rebuilt against glibc 2.3.2.

* Fri Sep 20 2002 Gerald Dachs <gda at trustix dot org> 2.0.6-1gd
- New upstream version: 2.0.6

* Fri Sep 20 2002 Christian H. Toldnes <christht at trustix dot com> 2.0.0-2ct
- Package cleanup to follow policy

* Thu Sep 19 2002 Gerald Dachs <gda at trustix dot org> 2.0.0-1gd
- New upstream version: 2.0.0

* Tue Jun  5 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 1.2.10

* Fri Sep 15 2000 Per Ivar Paulsen <perp at trustix dot com>
- Picked up 1.2.8

* Thu May 11 2000 Oystein Viggen <oysteivi at trustix dot com>
- version 1.2.7

* Wed Mar 29 2000 Lars Gaarden <larsg at trustix dot com>
- Moved man pages to /usr/share, FHS.

* Fri Feb 04 2000 Owen Taylor <otaylor@redhat.com>
- Added fixes from stable branch of CVS

* Thu Oct 7  1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.6

* Fri Sep 24 1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.5

* Fri Sep 17 1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.4

* Mon Jun 7 1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.3

* Thu Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.1

* Fri Feb 26 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.2

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.0pre1

* Tue Feb 23 1999 Cristian Gafton <gafton@redhat.com>
- new description tags 

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize from %build

* Thu Feb 11 1999 Michael Fulbright <drmike@redhat.com>
- added libgthread to file list

* Fri Feb 05 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.15

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.14

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.13

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated in preparation for the GNOME freeze

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Split out glib package

